#[macro_export]
macro_rules! text {
    ($t:literal) => {
        $crate::core::element::Element {
            tag: "text".to_string(),
            children: Vec::new(),
            attrs: {
                let mut a = HashMap::new();
                a.insert("content".to_string(), $t.to_string());
                a
            },
        }
    };

    ($t:ident) => {
        $crate::core::element::Element {
            tag: "text".to_string(),
            children: Vec::new(),
            attrs: {
                let mut a = HashMap::new();
                a.insert("content".to_string(), $t.to_string());
                a
            },
        }
    };

    ($t:expr) => {
        $crate::core::element::Element {
            tag: "text".to_string(),
            children: Vec::new(),
            attrs: {
                let mut a = HashMap::new();
                a.insert("content".to_string(), ($t).to_string());
                a
            },
        }
    };
}

#[macro_export]
macro_rules! read_param {
    ($element:ident, $id:literal) => {
        $element
            .children
            .get($id)
            .unwrap()
            .attrs
            .get("content")
            .unwrap()
    };
}
